package yb

import "github.com/beego/beego/v2/client/orm"

type VoiceBroadcast struct {
	BroadcastId      int    `gorm:"primaryKey;column:broadcast_id;type:int(11)" description:"语音ID"`
	BroadcastName    string `description:"语音名称"`
	SectionId        int    `description:"语音分类ID"`
	SectionName      string `description:"语音分类名称"`
	VarietyId        int    `description:"品种id"`
	VarietyName      string `description:"品种名称"`
	AuthorId         int    `description:"作者id"`
	Author           string `description:"作者"`
	ImgUrl           string `description:"背景图url"`
	VoiceUrl         string `description:"音频url"`
	VoicePlaySeconds string `description:"音频时长"`
	VoiceSize        string `description:"音频大小"`
	CreateTime       string `description:"创建时间"`
}

// TableName get sql table name.获取数据库表名
func (m *VoiceBroadcast) TableName() string {
	return "yb_voice_broadcast"
}


func GetBroadcastById(broadcastId int) (item *VoiceBroadcast, err error) {
	o := orm.NewOrm()
	sql := `SELECT * FROM yb_voice_broadcast WHERE broadcast_id = ? LIMIT 1`
	err = o.Raw(sql, broadcastId).QueryRow(&item)
	return
}
